   
      SUBROUTINE R_NK_resh__pr(N,K,Matr_input,Matr_output)
C
C	########################################################################
C
C	Valerio Cappellini                                         February 2007
C
C     USES :: None
C     COMPATIBILITY :: Fortran 90
C     VERSION :: 1.0.0
C
C     R_NK_resh__pr.f :: it take as input the 2 INTEGER numbers N and K and a 
C                 NxKxNxK REAL matrix M and return as output the KxKxNxN REAL 
C                 matrix "RESHUFFLED' M"
C
C	########################################################################
C
$	debug
	implicit none
       
      INTEGER N,K
	REAL Matr_input(N,K,N,K), Matr_output(K,K,N,N)
	
      Matr_output=RESHAPE(Matr_input,(/K,K,N,N/),(/0.,0./),(/4,2,3,1/))
	
      RETURN
      END